Skip to content

list_indexes

GET
/v1/knowledge-indexes
curl --request GET \
--url https://app.everruns.com/api/v1/knowledge-indexes

List knowledge indexes.

search
string | null

Substring filter applied to index name and description.

include_archived
boolean | null

When true, also returns archived knowledge indexes.

List knowledge indexes

Media type application/json

Response wrapper for list endpoints. All list endpoints return responses wrapped in a data field.

object
data
required

Array of items returned by the list operation.

Array<object>

Response body for a knowledge index.

object
archived_at

Timestamp when this resource was archived, if any (RFC 3339).

string | null format: date-time
created_at
required

Timestamp when this resource was created (RFC 3339).

string format: date-time
deleted_at

Timestamp when this resource was soft-deleted, if any (RFC 3339).

string | null format: date-time
description

Human-readable description. Safe to render in user-facing messages.

string | null
embedding_model_id
required

Embedding model used to embed chunks. Required.

string
id
required

Prefixed public identifier. See ID Schema.

string
last_sync_error

Sanitized failure reason from the last failed sync, if any.

string | null
last_synced_at

Timestamp of the last successful sync, if any (RFC 3339).

string | null format: date-time
name
required

Human-readable name. Safe to render in user-facing messages.

string
source_config
required

Non-secret source coordinates. Never holds credentials.

source_type
required

External source type. One of github, git.

string
status
required

Current lifecycle status.

string
sync_status
required

Syncout pipeline state. One of idle, pending, syncing, synced, failed.

string
updated_at
required

Timestamp when this resource was last updated (RFC 3339).

string format: date-time
vector_dim

Embedding dimension, recorded on first successful sync.

integer | null format: int32
Example
{
"data": [
{
"id": "kidx_01933b5a000070008000000000000001"
}
]
}